# Interface EventOptions

The type of the options parameter to [[WireDecoder.events|events()]]. This type will be expanded in the future as more filtering options are added.

#### Hierarchy

- EventOptions

- Defined in decoder/lib/types.ts:146

#####
Index

### Properties

address?
disableChecks?
extras?
fromBlock?
name?
toBlock?

## Properties

### `Optional` address

address?: string

If included, will restrict to events emitted by the given address.

NOTE: In the contract instance decoder, if omitted, defaults to the address of the contract instance being decoded, rather than not filtering by address. However, this behavior can be turned off by explicitly specifying address as undefined.

- Defined in decoder/lib/types.ts:167

### `Optional` disableChecks

disableChecks?: boolean

Allows decodings that don't pass the re-encoding test. Don't turn this on unless you know what you're doing!

- Defined in decoder/lib/types.ts:178

### `Optional` extras

extras?: ExtrasAllowed

Used to indicate whether "extra" event decodings -- event decodings from non-library contracts other than the one that appears to have emitted the event -- should be returned. Defaults to `"off"`.

- Defined in decoder/lib/types.ts:173

### `Optional` fromBlock

fromBlock?: BlockSpecifier

The earliest block to include events from. Defaults to "latest".

- Defined in decoder/lib/types.ts:154

### `Optional` name

name?: string

If included, the name parameter will restrict to events with the given name.

- Defined in decoder/lib/types.ts:150

### `Optional` toBlock

toBlock?: BlockSpecifier

The latest block to include events from. Defaults to "latest".

- Defined in decoder/lib/types.ts:158

Generated using TypeDoc